

close all


%%% Load Data

ref_correlation5055 = readtable(append(path_paper_fig,"Figure2_refshare_5055_binscatter.csv"));
ref_correlation5061 = readtable(append(path_paper_fig,"Figure2_refshare_5061_binscatter.csv"));

ref_1950 = ref_correlation5055(:,1); ref_1950 = ref_1950{:,:};
ref_1955 = ref_correlation5055(:,2); ref_1955 = ref_1955{:,:};
ref_1961 = ref_correlation5061(:,2); ref_1961 = ref_1961{:,:};

clear ref_correlation5055 ref_correlation5061 


ref_corr_fig = figure();
scatter_55 = plot(ref_1950, ref_1955);
hold on

coefficients = polyfit(ref_1950, ref_1955, 2);
xFit = linspace(min(ref_1950), max(ref_1950), 10);
yFit = polyval(coefficients , xFit);
fit_55 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

t1 = text(0.29,0.31,'1955','Interpreter','latex');

scatter_61 = plot(ref_1950, ref_1961);

coefficients = polyfit(ref_1950, ref_1961, 2);
xFit = linspace(min(ref_1950), max(ref_1950), 10);
yFit = polyval(coefficients , xFit);
fit_61 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

t2 = text(0.35,0.25,'1961','Interpreter','latex');

hold off
grid on


xlabel('Share of refugees in 1950','Interpreter','latex');
ylabel('Share of refugees in 1955 and 1961','Interpreter','latex');



 set(fit_55                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4     );

set(scatter_55                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue     );


 set(fit_61                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.orange     , ...
  'LineWidth'       , 4          );

set(scatter_61                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1, t2]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16       );


print(ref_corr_fig,'-depsc',append(path_paper,"Figure2_refugee_persistence.eps"));
print(ref_corr_fig,'-dpdf',append(path_paper,"Figure2_refugee_persistence.pdf"));



