  
% This file plots the time series of the aggregate GDP impact

close all


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% LOAD DATA FROM MODEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% AggImpact = readtable(append(path_model_output,"refugees_aggregate_implications.csv"));
AggImpact = readtable(append(path_model_output,"Figure5_aggregate_implications.csv"));

year = AggImpact(:,1); year = year{:,:};
y = AggImpact(:,2:end); y = y{:,:};

% Average GDP effect
y_mean = mean(y,2);
% Average GDP effect
y_up = quantile(y,0.975,2);
y_low = quantile(y,0.025,2);



year_beginning = 1940;

%%% Draw figure 
close all
start_index = find(year == year_beginning);
end_index = find(year == max(year));
cfgdp_fig = figure();


path = plot(year(start_index:end_index), y_mean(start_index:end_index));
hold on


year_fill_var = [year(start_index:end_index); flip(year(start_index:end_index))];

CI = fill(year_fill_var,[y_low(start_index:end_index); flip(y_up(start_index:end_index))],col.blue);
alpha(.2);


Expulsionline = plot([1947 1947],[-0.05 0.2]);

ylim([-0.05 0.2])

hold off
grid on


t2 = text(1949,0.15 ,'Expulsion','Interpreter','latex');

title('Change in Aggregate GDPpc','Interpreter','latex');
xlabel('Year','Interpreter','latex');

set(Expulsionline, ...
	 'LineStyle'       , '-.'          , ...
	 'Color'           , col.grey   , ...
	 'LineWidth'       , 2             );
 
 
set(path                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 3.5   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t2]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(cfgdp_fig,'-depsc',append(path_paper,"Figure5_aggregate_impact.eps"));
print(cfgdp_fig,'-dpdf',append(path_paper,"Figure5_aggregate_impact.pdf"));
 

% %%%%%%%%%%%%%%% CHAIN INDEX
% 
% 
% AggImpact = readtable(append(path_model_output,"refugees_aggregate_implications_chain.csv"));
% 
% year = AggImpact(:,1);
% y = AggImpact(:,2:end);
% year = year{:,:};
% y = y{:,:};
% 
% %%%
% 
% % Average GDP effect
% 
% y_mean = mean(y,2);
% y_q90 = quantile(y,0.975,2);
% y_q10 = quantile(y,0.025,2);
% 
% 
% %%% Draw figure 
% close all
% start_index = find(year == year_beginning);
% end_index = find(year == max(year));
% cfgdp_fig = figure();
% 
% 
% path = plot(year(start_index:end_index), y_mean(start_index:end_index));
% hold on
% 
% 
% year_fill_var = [year(start_index:end_index); flip(year(start_index:end_index))];
% 
% CI = fill(year_fill_var,[y_q10(start_index:end_index); flip(y_q90(start_index:end_index))],col.blue);
% alpha(.2);
% 
% 
% Expulsionline = plot([1947 1947],[-0.05 0.2]);
% 
% ylim([-0.05 0.2])
% 
% hold off
% grid on
% 
% 
% t2 = text(1949,0.15 ,'Expulsion','Interpreter','latex');
% 
% title('Change in Aggregate GDPpc','Interpreter','latex');
% xlabel('Year','Interpreter','latex');
% 
% set(Expulsionline, ...
% 	 'LineStyle'       , '-.'          , ...
% 	 'Color'           , col.grey   , ...
% 	 'LineWidth'       , 2             );
%  
%  
% set(path                        , ...
%   'LineStyle'       , '-'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 3.5   );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(cfgdp_fig,'-depsc',append(path_figures,"AggImpactGDPpc_chain.eps"));
% print(cfgdp_fig,'-dpdf',append(path_figures,"AggImpactGDPpc_chain.pdf"));
%  



