


close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% LOAD DATA FROM MODEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

dy50data = readtable(append(path_paper_fig,"Figure5_spatial_implications_dy50_binscatter.csv"));
dy61data = readtable(append(path_paper_fig,"Figure5_spatial_implications_dy61_binscatter.csv"));

%dman50data = readtable(append(path_model_output_scatter,"SpatialImplications_dman50_binscatter_1.csv"));
%dman61data = readtable(append(path_model_output_scatter,"SpatialImplications_dman61_binscatter_1.csv"));

ref_share = dy50data(:,1); ref_share = ref_share{:,:};
dy50 = dy50data(:,2); dy50 = dy50{:,:};
dy61 = dy61data(:,2); dy61 = dy61{:,:};
%dman50 = dman50data(:,2); dman50 = dman50{:,:};
%dman61 = dman61data(:,2); dman61 = dman61{:,:};



%%% GDP pc

close all
dy_fig = figure();


scatter50 = plot(ref_share, dy50);
hold on
coefficients = polyfit(ref_share, dy50, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fitteline50 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter61 = plot(ref_share, dy61);
coefficients = polyfit(ref_share, dy61, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fitteline61 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

zero_line = plot([0,0.4],[0,0]);

ylim([-0.01 inf])

hold off
grid on


t1 = text(0.34,0.03,'1950','Interpreter','latex');
t2 = text(0.34,0.12 ,'1961','Interpreter','latex');

title('Change in Local GDPpc','Interpreter','latex');
xlabel('Share of refugees in 1950','Interpreter','latex');

set(fitteline61                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 
set(fitteline50                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4             );

set(scatter50                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set(scatter61                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue    );

set(zero_line                        , ...
  'LineStyle'       , '--'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.grey   , ...
  'LineWidth'       , 3             );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dy_fig,'-depsc',append(path_paper,"Figure5_spatial_implications.eps"));
print(dy_fig,'-dpdf',append(path_paper,"Figure5_spatial_implications.pdf"));

 

% 
% %%% Manufacturing share
% 
% 
% dman_fig = figure();
% 
% scatter50 = plot(ref_share, dman50);
% hold on
% coefficients = polyfit(ref_share, dman50, 2);
% xFit = linspace(min(ref_share), max(ref_share), 10);
% yFit = polyval(coefficients , xFit);
% fitteline50 = plot(xFit, yFit, 'r-', 'LineWidth', 2);
% 
% scatter61 = plot(ref_share, dman61);
% coefficients = polyfit(ref_share, dman61, 2);
% xFit = linspace(min(ref_share), max(ref_share), 10);
% yFit = polyval(coefficients , xFit);
% fitteline61 = plot(xFit, yFit, 'r-', 'LineWidth', 2);
% 
% zero_line = plot([0,0.4],[0,0]);
% hold off
% grid on
% 
% 
% 
% t1 = text(0.35,0.11,'1961','Interpreter','latex');
% t2 = text(0.35,0.05 ,'1950','Interpreter','latex');
% 
% title('Change in manufacturing share','Interpreter','latex');
% xlabel('Share of refugees in 1950','Interpreter','latex');
% 
% set(fitteline61                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline50                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter50                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter61                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
% 
% set(zero_line                        , ...
%   'LineStyle'       , '--'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.grey   , ...
%   'LineWidth'       , 3             );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dman_fig,'-depsc',append(path_figures,"SpatialImplications_Manufac.eps"));
% print(dman_fig,'-dpdf',append(path_figures,"SpatialImplications_Manufac.pdf"));

 
