


close all


%%% Load Data
dy61_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1961_r_l_full_base.csv"));
dy61_supply_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1961_r_l_supply_base.csv"));
dy61_demand_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1961_r_l_demand_base.csv"));

dy50_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1950_r_l_full_base.csv"));
dy50_supply_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1950_r_l_supply_base.csv"));
dy50_demand_dat = readtable(append(path_paper_fig,"Figure6_demand_supply_binscatter_dy_1950_r_l_demand_base.csv"));


ref_share = dy50_dat(:,1); ref_share = ref_share{:,:};
dy50 = dy50_dat(:,2); dy50 = dy50{:,:};
dy50_supply = dy50_supply_dat(:,2); dy50_supply = dy50_supply{:,:};
dy50_demand = dy50_demand_dat(:,2); dy50_demand = dy50_demand{:,:};

dy61 = dy61_dat(:,2); dy61 = dy61{:,:};
dy61_supply = dy61_supply_dat(:,2); dy61_supply = dy61_supply{:,:};
dy61_demand = dy61_demand_dat(:,2); dy61_demand = dy61_demand{:,:};


%%% GDP pc 1950

close all
dy_fig50 = figure();

scatter50_s = plot(ref_share, dy50_supply);
hold on
grid on
coefficients = polyfit(ref_share, dy50_supply, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50_s = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter50 = plot(ref_share, dy50);
coefficients = polyfit(ref_share, dy50, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter50_d = plot(ref_share, dy50_demand);
coefficients = polyfit(ref_share, dy50_demand, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50_d = plot(xFit, yFit, 'r-', 'LineWidth', 2);



t1 = text(0.32,-0.03,'Supply','Interpreter','latex');
t2 = text(0.32,0.07 ,'Demand','Interpreter','latex');
t3 = text(0.32,0.03 ,'Total Effect','Interpreter','latex');

ylim([-0.1 0.2])
hold off



title('Change in Local GDPpc (1950)','Interpreter','latex');
xlabel('Share of refugees in 1950','Interpreter','latex');

set([fittedline50_s]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 set([fittedline50_d]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4       );

set([fittedline50]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.grey    , ...
  'LineWidth'       , 4       );

set([scatter50_d]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set([scatter50_s]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue   );

set([scatter50]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.grey   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2,t3]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dy_fig50,'-depsc',append(path_paper,"Figure6_demand_supply_1950.eps"));
print(dy_fig50,'-dpdf',append(path_paper,"Figure6_demand_supply_1950.pdf"));



%%% GDP pc 1961

close all
dy_fig61 = figure();


scatter61_s = plot(ref_share, dy61_supply);
grid on
hold on

coefficients = polyfit(ref_share, dy61_supply, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61_s = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter61 = plot(ref_share, dy61);
coefficients = polyfit(ref_share, dy61, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter61_d = plot(ref_share, dy61_demand);
coefficients = polyfit(ref_share, dy61_demand, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61_d = plot(xFit, yFit, 'r-', 'LineWidth', 2);



t1 = text(0.31,0.02,'Supply','Interpreter','latex');
t2 = text(0.31,0.08 ,'Demand','Interpreter','latex');
t3 = text(0.31,0.16 ,'Total Effect','Interpreter','latex');

ylim([-0.1 0.2])
hold off



title('Change in Local GDPpc (1961)','Interpreter','latex');
xlabel('Share of refugees in 1950','Interpreter','latex');

set([fittedline61_s]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 set([fittedline61_d]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4       );

set([fittedline61]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.grey    , ...
  'LineWidth'       , 4       );

set([scatter61_d]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set([scatter61_s]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue   );

set([scatter61]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.grey   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2,t3]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dy_fig61,'-depsc',append(path_paper,"Figure6_demand_supply_1961.eps"));
print(dy_fig61,'-dpdf',append(path_paper,"Figure6_demand_supply_1961.pdf"));


