


close all

%%% Load Data

%dydata_base = readtable(append(path_model_output_scatter,"binscatter_dlny_base.csv"));
%dydata_equal = readtable(append(path_model_output_scatter,"binscatter_dlny_equal.csv"));

dmandata_base = readtable(append(path_paper_fig,"Figure7_binscatter_dman_base.csv"));
dmandata_equal = readtable(append(path_paper_fig,"Figure7_binscatter_dman_equal.csv"));

%dpopdata_base = readtable(append(path_model_output_scatter,"binscatter_dpop_base.csv"));
%dpopdata_equal = readtable(append(path_model_output_scatter,"binscatter_dpop_equal.csv"));

popdensity1939 = dmandata_base(:,1); popdensity1939 = popdensity1939{:,:};
dman_base = dmandata_base(:,2); dman_base = dman_base{:,:};
dman_equal = dmandata_equal(:,2); dman_equal = dman_equal{:,:};

% 
% dy_base = dydata_base(:,2);
% dy_equal = dydata_equal(:,2);
% 
% dpop_base = dpopdata_base(:,2);
% dpop_equal = dpopdata_equal(:,2);
% 
% 
% dy_base = dy_base{:,:};
% dy_equal = dy_equal{:,:};
% 
% dpop_base = dpop_base{:,:};
% dpop_equal = dpop_equal{:,:};


%%% Manufacturing share


dman_fig = figure();

scatter_base = plot(popdensity1939, dman_base);
hold on
coefficients = polyfit(popdensity1939, dman_base, 3);
xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
yFit = polyval(coefficients , xFit);
fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 3);

scatter_equal = plot(popdensity1939, dman_equal);
coefficients = polyfit(popdensity1939, dman_equal, 3);
xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
yFit = polyval(coefficients , xFit);
fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 3);

hold off
grid on


t1 = text(4.9,0.07,'Actual allocation','Interpreter','latex');
t2 = text(3.2,0.0 ,'Equalized allocation','Interpreter','latex');


title('Change in manufacturing share (1961)','Interpreter','latex');
xlabel('ln Population density 1939','Interpreter','latex');

set(fitteline_equal                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 
set(fitteline_base                        , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4             );

set(scatter_base                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set(scatter_equal                        , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 7             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue    );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dman_fig,'-depsc',append(path_paper,"Figure7_rural_industrialization.eps"));
print(dman_fig,'-dpdf',append(path_paper,"Figure7_rural_industrialization.pdf"));





% 
% %%% GDP pc
% 
% dy_fig = figure();
% 
% 
% scatter_base = plot(popdensity1939, dy_base);
% hold on
% coefficients = polyfit(popdensity1939, dy_base, 2);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 2);
% 
% scatter_equal = plot(popdensity1939, dy_equal);
% coefficients = polyfit(popdensity1939, dy_equal, 2);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 2);
% 
% 
% hold off
% grid on
% 
% 
% 
% t1 = text(5.1,0.15,'Actual allocation','Interpreter','latex');
% t2 = text(3.5,0.08 ,'Equalized allocation','Interpreter','latex');
% 
% title('Change in Local GDPpc (1961)','Interpreter','latex');
% xlabel('ln Population density 1939','Interpreter','latex');
% 
% set(fitteline_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter_base                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter_equal                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dy_fig,'-depsc',append(path_figures,"Allocation_cf_dlny.eps"));
% print(dy_fig,'-dpdf',append(path_figures,"Allocation_cf_dlny.pdf"));
% 
%  
% 
% 
% 
% 
% 
% %%% Population growth 
% 
% 
% dpop_fig = figure();
% 
% scatter_base = plot(popdensity1939, dpop_base);
% hold on
% coefficients = polyfit(popdensity1939, dpop_base, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% scatter_equal = plot(popdensity1939, dpop_equal);
% coefficients = polyfit(popdensity1939, dpop_equal, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% hold off
% grid on
% 
% 
% t1 = text(4.7,0.27,'Actual allocation','Interpreter','latex');
% t2 = text(3.2,0.165 ,'Equalized allocation','Interpreter','latex');
% 
% 
% title('Change in population growth (1961)','Interpreter','latex');
% xlabel('ln Population density 1939','Interpreter','latex');
% 
% set(fitteline_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter_base                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter_equal                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dpop_fig,'-depsc',append(path_figures,"Allocation_cf_dpop.eps"));
% print(dpop_fig,'-dpdf',append(path_figures,"Allocation_cf_dpop.pdf"));
% 
% 
% 
% %%% Time Series: GDP
% 
% ts_data = readtable(append(path_model_output,"allocation_cf_timeseries.csv"));
% 
% year = ts_data(:,1);
% base = ts_data(:,2);
% equal = ts_data(:,3);
% no = ts_data(:,4);
% 
% 
% year = year{:,:};
% base = base{:,:};
% equal = equal{:,:};
% no = no{:,:};
% 
% dlny_base = log(base) - log(no);
% dlny_equal = log(equal) - log(no);
% 
% 
% ind39 = find(year == 1939);
% 
% daggy = figure();
% 
% plot_base = plot(year(ind39:end), dlny_base(ind39:end), 'DisplayName','Actual Allocation');
% hold on
% plot_equal = plot(year(ind39:end), dlny_equal(ind39:end), 'DisplayName', 'Equalized Allocation');
% 
% grid on
% hold off
% 
% title('Change in aggregate GDP','Interpreter','latex');
% xlabel('Year','Interpreter','latex');
% 
% set(plot_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(plot_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
% 
% lgd = legend;
% lgd.Location = 'southeast';
% lgd.Interpreter = 'latex';
% lgd.FontSize = 16;
% 
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% 
% print(daggy,'-depsc',append(path_figures,"Allocation_cf_agg_y.eps"));
% print(daggy,'-dpdf',append(path_figures,"Allocation_cf_agg_y.pdf"));
% 
% %%% Time Series: Poplation
% 
% ts_data = readtable(append(path_model_output,"allocation_cf_timeseries.csv"));
% 
% year = ts_data(:,1);
% base = ts_data(:,5);
% equal = ts_data(:,6);
% no = ts_data(:,7);
% 
% 
% year = year{:,:};
% base = base{:,:};
% equal = equal{:,:};
% no = no{:,:};
% 
% dlny_base = log(base) - log(no);
% dlny_equal = log(equal) - log(no);
% 
% 
% ind39 = find(year == 1939);
% 
% daggy = figure();
% 
% plot_base = plot(year(ind39:end), dlny_base(ind39:end), 'DisplayName','Actual Allocation');
% hold on
% plot_equal = plot(year(ind39:end), dlny_equal(ind39:end), 'DisplayName', 'Equalized Allocation');
% 
% grid on
% hold off
% 
% title('Change in aggregate Population','Interpreter','latex');
% xlabel('Year','Interpreter','latex');
% 
% set(plot_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(plot_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
% 
% lgd = legend;
% lgd.Location = 'southeast';
% lgd.Interpreter = 'latex';
% lgd.FontSize = 16;
% 
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% 
% print(daggy,'-depsc',append(path_figures,"Allocation_cf_agg_pop.eps"));
% print(daggy,'-dpdf',append(path_figures,"Allocation_cf_agg_pop.pdf"));
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%% LONG-RUN SPATIAL IMPLICATIONS
% 
% %%% Load Data
% 
% dydata_base = readtable(append(path_model_output_scatter,"binscatter_dlny_base_lr.csv"));
% dydata_equal = readtable(append(path_model_output_scatter,"binscatter_dlny_equal_lr.csv"));
% 
% dmandata_base = readtable(append(path_model_output_scatter,"binscatter_dman_base_lr.csv"));
% dmandata_equal = readtable(append(path_model_output_scatter,"binscatter_dman_equal_lr.csv"));
% 
% dpopdata_base = readtable(append(path_model_output_scatter,"binscatter_dpop_base_lr.csv"));
% dpopdata_equal = readtable(append(path_model_output_scatter,"binscatter_dpop_equal_lr.csv"));
% 
% popdensity1939 = dydata_base(:,1);
% dy_base = dydata_base(:,2);
% dy_equal = dydata_equal(:,2);
% dman_base = dmandata_base(:,2);
% dman_equal = dmandata_equal(:,2);
% dpop_base = dpopdata_base(:,2);
% dpop_equal = dpopdata_equal(:,2);
% 
% popdensity1939 = popdensity1939{:,:};
% dy_base = dy_base{:,:};
% dy_equal = dy_equal{:,:};
% dman_base = dman_base{:,:};
% dman_equal = dman_equal{:,:};
% dpop_base = dpop_base{:,:};
% dpop_equal = dpop_equal{:,:};
% 
% 
% 
% 
% 
% %%% GDP pc
% 
% dy_fig = figure();
% 
% 
% scatter_base = plot(popdensity1939, dy_base);
% hold on
% coefficients = polyfit(popdensity1939, dy_base, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% scatter_equal = plot(popdensity1939, dy_equal);
% coefficients = polyfit(popdensity1939, dy_equal, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% 
% hold off
% grid on
% 
% 
% 
% t1 = text(5.1,0.15,'Actual allocation','Interpreter','latex');
% t2 = text(3.5,0.08 ,'Equalized allocation','Interpreter','latex');
% 
% title('Change in Local GDPpc (2000)','Interpreter','latex');
% xlabel('ln Population density 1939','Interpreter','latex');
% 
% set(fitteline_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter_base                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter_equal                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dy_fig,'-depsc',append(path_figures,"Allocation_cf_dlny_lr.eps"));
% print(dy_fig,'-dpdf',append(path_figures,"Allocation_cf_dlny_lr.pdf"));
% 
%  
% 
% 
% %%% Manufacturing share
% 
% 
% dman_fig = figure();
% 
% scatter_base = plot(popdensity1939, dman_base);
% hold on
% coefficients = polyfit(popdensity1939, dman_base, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% scatter_equal = plot(popdensity1939, dman_equal);
% coefficients = polyfit(popdensity1939, dman_equal, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% hold off
% grid on
% 
% 
% t1 = text(4.9,0.07,'Actual allocation','Interpreter','latex');
% t2 = text(3.2,0.0 ,'Equalized allocation','Interpreter','latex');
% 
% 
% title('Change in manufacturing share (2000)','Interpreter','latex');
% xlabel('ln Population density 1939','Interpreter','latex');
% 
% set(fitteline_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter_base                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter_equal                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dman_fig,'-depsc',append(path_figures,"Allocation_cf_dman_lr.eps"));
% print(dman_fig,'-dpdf',append(path_figures,"Allocation_cf_dman_lr.pdf"));
% 
% 
% %%% Population growth 
% 
% 
% dpop_fig = figure();
% 
% scatter_base = plot(popdensity1939, dpop_base);
% hold on
% coefficients = polyfit(popdensity1939, dpop_base, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_base = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% scatter_equal = plot(popdensity1939, dpop_equal);
% coefficients = polyfit(popdensity1939, dpop_equal, 3);
% xFit = linspace(min(popdensity1939), max(popdensity1939), 10);
% yFit = polyval(coefficients , xFit);
% fitteline_equal = plot(xFit, yFit, 'r-', 'LineWidth', 3);
% 
% hold off
% grid on
% 
% 
% t1 = text(4.7,0.27,'Actual allocation','Interpreter','latex');
% t2 = text(3.2,0.165 ,'Equalized allocation','Interpreter','latex');
% 
% 
% title('Change in population growth (2000)','Interpreter','latex');
% xlabel('ln Population density 1939','Interpreter','latex');
% 
% set(fitteline_equal                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.blue    , ...
%   'LineWidth'       , 4             );
%  
%  
% set(fitteline_base                        , ...
%   'LineStyle'       , '-'           , ...
%   'Marker'          , 'none'           , ...
%   'Color'           , col.orange    , ...
%   'LineWidth'       , 4             );
% 
% set(scatter_base                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.orange    );
% 
% set(scatter_equal                        , ...
%   'LineStyle'       , 'none'           , ...
%   'Marker'          , 'o'           , ...
%   'MarkerSize'      , 7             , ...
%   'MarkerEdgeColor' , col.grey    , ...
%   'MarkerFaceColor' , col.blue    );
% 
%  
% set( gca                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          );
% 
% set( [t1,t2]                       , ...
%     'FontName'   , 'Helvetica' , ...
%     'FontSize'   , 16          ); 
% 
% 
% print(dpop_fig,'-depsc',append(path_figures,"Allocation_cf_dpop_lr.eps"));
% print(dpop_fig,'-dpdf',append(path_figures,"Allocation_cf_dpop_lr.pdf"));
% 
%  
