


close all


%%% Load Data
dman61_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_61_r_l_full_base.csv"));
dman61_supply_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_61_r_l_supply_base.csv"));
dman61_demand_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_61_r_l_demand_base.csv"));

dman50_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_50_r_l_full_base.csv"));
dman50_supply_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_50_r_l_supply_base.csv"));
dman50_demand_dat = readtable(append(path_paper_fig,"FigureSM10_demand_supply_binscatter_dman_50_r_l_demand_base.csv"));


ref_share = dman50_dat(:,1); ref_share = ref_share{:,:};


dman61 = dman61_dat(:,2); dman61 = dman61{:,:};
dman61_supply = dman61_supply_dat(:,2); dman61_supply = dman61_supply{:,:};
dman61_demand = dman61_demand_dat(:,2); dman61_demand = dman61_demand{:,:};

dman50 = dman50_dat(:,2); dman50 = dman50{:,:};
dman50_supply = dman50_supply_dat(:,2); dman50_supply = dman50_supply{:,:};
dman50_demand = dman50_demand_dat(:,2); dman50_demand = dman50_demand{:,:};



% 
%%% Manufacturing employment in 1950

close all
dman_fig50 = figure();

scatter50_s = plot(ref_share, dman50_supply);
hold on
coefficients = polyfit(ref_share, dman50_supply, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50_s = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter50 = plot(ref_share, dman50);
coefficients = polyfit(ref_share, dman50, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter50_d = plot(ref_share, dman50_demand);
coefficients = polyfit(ref_share, dman50_demand, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline50_d = plot(xFit, yFit, 'r-', 'LineWidth', 2);



t1 = text(0.15,0.07,'Supply','Interpreter','latex');
t2 = text(0.25,-0.02 ,'Demand','Interpreter','latex');
t3 = text(0.31,0.05 ,'Total Effect','Interpreter','latex');

ylim([-0.05 0.15])
grid on
hold off



title('Change in local manufacturing share (1950)','Interpreter','latex');
xlabel('Share of refugees in 1950','Interpreter','latex');

set([fittedline50_s]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 set([fittedline50_d]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4       );

set([fittedline50]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.grey    , ...
  'LineWidth'       , 4       );

set([scatter50_d]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set([scatter50_s]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue   );

set([scatter50]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.grey   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2,t3]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dman_fig50,'-depsc',append(path_appendix,"FigureSM10_demand_supply_1950.eps"));
print(dman_fig50,'-dpdf',append(path_appendix,"FigureSM10_demand_supply_1950.pdf"));




%%% Manufacturing employment in 1961

close all
dman_fig61 = figure();

scatter61_s = plot(ref_share, dman61_supply);
hold on
coefficients = polyfit(ref_share, dman61_supply, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61_s = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter61 = plot(ref_share, dman61);
coefficients = polyfit(ref_share, dman61, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61 = plot(xFit, yFit, 'r-', 'LineWidth', 2);

scatter61_d = plot(ref_share, dman61_demand);
coefficients = polyfit(ref_share, dman61_demand, 2);
xFit = linspace(min(ref_share), max(ref_share), 10);
yFit = polyval(coefficients , xFit);
fittedline61_d = plot(xFit, yFit, 'r-', 'LineWidth', 2);



t1 = text(0.15,0.07,'Supply','Interpreter','latex');
t2 = text(0.25,-0.02 ,'Demand','Interpreter','latex');
t3 = text(0.31,0.05 ,'Total Effect','Interpreter','latex');

ylim([-0.05 0.15])
grid on
hold off

title('Change in local manufacturing share (1961)','Interpreter','latex');
xlabel('Share of refugees in 1950','Interpreter','latex');

set([fittedline61_s]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 4             );
 
 set([fittedline61_d]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 4       );

set([fittedline61]                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.grey    , ...
  'LineWidth'       , 4       );

set([scatter61_d]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.orange    );

set([scatter61_s]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.blue   );

set([scatter61]                     , ...
  'LineStyle'       , 'none'           , ...
  'Marker'          , 'o'           , ...
  'MarkerSize'      , 8             , ...
  'MarkerEdgeColor' , col.grey    , ...
  'MarkerFaceColor' , col.grey   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

set( [t1,t2,t3]                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          ); 


print(dman_fig61,'-depsc',append(path_appendix,"FigureSM10_demand_supply_1961.eps"));
print(dman_fig61,'-dpdf',append(path_appendix,"FigureSM10_demand_supply_1961.pdf"));



