  
close all




%%% Load Data

% AggImpact = readtable(append(path_model_output,"refugees_aggregate_implications_longrun.csv"));
% AggImpact_noPD = readtable(append(path_model_output,"refugees_aggregate_implications_longrun_convergence.csv")); 


AggImpact = readtable(append(path_model_output,"FigureSM9_agg_output_baseline.csv"));
AggImpact_noPD = readtable(append(path_model_output,"FigureSM9_agg_output_convergence.csv")); 


year = AggImpact(:,1); year = year{:,:};
y = AggImpact(:,2:end); y = y{:,:};
y_noPD = AggImpact_noPD(:,2:end); y_noPD = y_noPD{:,:};



% Average GDP effect

y_mean = mean(y,2);
y_q90 = quantile(y,0.975,2);
y_q10 = quantile(y,0.025,2);

y_noPD_mean = mean(y_noPD,2);
y_noPD_q90 = quantile(y_noPD,0.975,2);
y_noPD_q10 = quantile(y_noPD,0.025,2);



year_beginning = 1940;
year_end = 2000;

%%% Draw figure 
close all
start_index = find(year == year_beginning);
end_index = find(year == year_end);
cfgdp_fig = figure();


path = plot(year(start_index:end_index), y_mean(start_index:end_index));
hold on


year_fill_var = [year(start_index:end_index); flip(year(start_index:end_index))];

CI = fill(year_fill_var,[y_q10(start_index:end_index); flip(y_q90(start_index:end_index))],col.blue);
alpha(.2);

path_noPD = plot(year(start_index:end_index), y_noPD_mean(start_index:end_index));
CI_noPD = fill(year_fill_var,[y_noPD_q10(start_index:end_index); flip(y_noPD_q90(start_index:end_index))],col.grey);
alpha(.2);


hold off
grid on


title('Change in Aggregate GDPpc','Interpreter','latex');
xlabel('Year','Interpreter','latex');

 
set(path                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 3.5   );

set(path_noPD                        , ...
  'LineStyle'       , '-'           , ...
  'Color'           , col.grey    , ...
  'LineWidth'       , 3.5   );

 
set( gca                       , ...
    'FontName'   , 'Helvetica' , ...
    'FontSize'   , 16          );

lgd  = legend([path,path_noPD], 'Calibrated Model','Higher Disperion Forces');
lgd.Interpreter = 'latex';
lgd.FontName = 'Helvetica';
lgd.FontSize = 16;
lgd.Location = 'southeast';
lgd.NumColumns = 1;


print(cfgdp_fig,'-depsc',append(path_appendix,"FigureSM9_agg_impact.eps"));
print(cfgdp_fig,'-dpdf',append(path_appendix,"FigureSM9_agg_impact.pdf"));
 

 



