

close all
%%% Load Data


% PathDependence = readtable(append(path_model_output,"refugees_spatial_pathdependence.csv"));
PathDependence = readtable(append(path_model_output,"FigureSM9_pathdep_baseline.csv"));

path_dep = PathDependence(:,[2,3]);
path_dep = path_dep{:,:};



close all
pathdependence_fig = figure;

[f,x] = ksdensity(path_dep(:,1));
[f_lr,x_lr] = ksdensity(path_dep(:,2));

pd_plot = plot(x,f);
hold on
pd_plot_lr = plot(x_lr,f_lr);
grid on
hold off


set(pd_plot_lr , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.orange    , ...
  'LineWidth'       , 3          );

set(pd_plot , ...
  'LineStyle'       , '-'           , ...
  'Marker'          , 'none'           , ...
  'Color'           , col.blue    , ...
  'LineWidth'       , 3          );


hXLabel = xlabel('90-10 difference in log population across simulations','Interpreter','latex');
set(gca , 'FontName','Helvetica' ,'FontSize', 16);

lgd  = legend([pd_plot,pd_plot_lr], '1970','$\infty$');
lgd.Interpreter = 'latex';
lgd.FontName = 'Helvetica';
lgd.FontSize = 16;
lgd.Location = 'southeast';
lgd.NumColumns = 1;

print(pathdependence_fig,'-depsc',append(path_appendix,"FigureSM9_longrun_persistence.eps"));
print(pathdependence_fig,'-dpdf',append(path_appendix,"FigureSM9_longrun_persistence.pdf"));




