
clear
clc
close all



%% SET MAIN PATH TO YOUR DIRECTORY
main_path = "_your_path_of_replication_folder";


path_paper = append(main_path,"EmpiricalAnalysis/Results/Paper/");
path_appendix = append(main_path,"EmpiricalAnalysis/Results/Appendix/");
path_paper_fig = append(main_path,"EmpiricalAnalysis/Data_for_Figures/");
path_model_output = append(main_path,"QuantitativeModel/ModelOutput/");

%%% COLOR SCHEME
rgb = 255;

col.grey = [128/rgb 128/rgb 128/rgb];   %grey%
col.orange = [255/rgb 153/rgb 51/rgb];  % orange%
col.blue = [0/rgb 76/rgb 153/rgb];      % blue%


%% Figure 2: Correlation of refugees
run figure_codes/figure_2_refugee_correlation.m

%% Figure 3: Cohort profiles of sectoral reallocation
run figure_codes/figure_3_cohort_lifecycle.m

%% Figure 4: Scale effects
run figure_codes/figure_4_dynamic_effects.m

%% Figure 5a: Aggregate implications
run figure_codes/figure_5_aggregate_impact.m

%% Figure 5b: Spatial implications
run figure_codes/figure_5_spatial_implications.m

%% Figure 6: Demand-Supply decomposition income growth
run figure_codes/figure_6_demand_supply.m

%% Figure 7: Rural Industrialization
run figure_codes/figure_7_rural_industrialization.m

%% Figure SM6: Identification 
run figure_codes/figure_SM6_identification.m

%% Figure SM8: Spatial dynamics
run figure_codes/figure_SM8_spatial_dynamics.m

%% Figure SM9a: Long-run persistence 
run figure_codes/figure_SM9_longrun_persistence.m

%% Figure SM9b: Aggregate impact
run figure_codes/figure_SM9_agg_impact.m

%% Figure SM10: Demand-Supply decomposition manufacturing share
run figure_codes/figure_SM10_demand_supply.m



