



# Create Q matrix
function Qmat_generator(shockpath, Pv::param, Q, Time)

    @unpack θ, χ, ϕ_fa, ϕ_fm, ϕ_ia, ϕ_im, ψ, ϵ, σ, α, ɷ, ϱ, ρ, γ, β, λ, δ, fE=Pv

    Qmat=zeros(length(Q), Time)
    Qmat[:,1].=log.(Q)
    for t in 2:Time
            Qmat[:,t] .= (1-ϱ).* log.(Q) .+ ϱ .*Qmat[:,t-1] .+ ɷ .*shockpath[:,t]
    end

    Qmat.= exp.(Qmat)
    return Qmat
end



# a useful snippet for calculating moment distances
function SSD(x,y)

            D=((x-y)/y)^2
            return D
end

function ASD(x,y) # Absolute squared difference
    D=(x-y)^2
    return D
end


function calculate_distance(True_Moments,Sim_Moments,weights)
    Distance=weights[1]*ASD(Sim_Moments.Ref_Wage_Ratio_log, True_Moments.Ref_Wage_Ratio_log)+
    weights[2]*ASD(Sim_Moments.Ref_manu_gr_50, True_Moments.Ref_manu_gr_50)+
    weights[3]*ASD(Sim_Moments.Ref_manu_gr_61, True_Moments.Ref_manu_gr_61)+
    weights[4]*ASD(Sim_Moments.Ref_GDP_gr_50, True_Moments.Ref_GDP_gr_50)+
    weights[5]*ASD(Sim_Moments.Ref_GDP_gr_61,   True_Moments.Ref_GDP_gr_61)+
    weights[6]*ASD(Sim_Moments.Ref_pop_gr_50,   True_Moments.Ref_pop_gr_50)+
    weights[7]*ASD(Sim_Moments.Ref_pop_gr_61,   True_Moments.Ref_pop_gr_61)+
    weights[8]*ASD(Sim_Moments.Ref_sh_cor_50,   True_Moments.Ref_sh_cor_50)+
    weights[9]*ASD(Sim_Moments.Ref_sh_cor_61,   True_Moments.Ref_sh_cor_61)+
    weights[10]*ASD(Sim_Moments.GDP_lag_coef,   True_Moments.GDP_lag_coef)+
    weights[11]*ASD(Sim_Moments.GDP_lag_sd,   True_Moments.GDP_lag_sd)+
    weights[12]*SSD(Sim_Moments.Manuf_Ag_WageRatio, True_Moments.Manuf_Ag_WageRatio)+
    weights[13]*SSD(Sim_Moments.In_Out_Flow_Ratio, True_Moments.In_Out_Flow_Ratio)+
    weights[14]*SSD(Sim_Moments.Mobility_Distance, True_Moments.Mobility_Distance)+
    weights[15]*ASD(Sim_Moments.Distance_coef, True_Moments.Distance_coef)+
    weights[16]*ASD(Sim_Moments.Ref_pop_gr_50_55, True_Moments.Ref_pop_gr_50_55)+
    weights[17]*ASD(Sim_Moments.Ref_pop_gr_55_61, True_Moments.Ref_pop_gr_55_61)+
    weights[18]*ASD(Sim_Moments.Ref_GDP_gr_80, True_Moments.Ref_GDP_gr_80)+
    weights[19]*(Sim_Moments.pop_coef_80>True_Moments.pop_coef_80_UB)+
    weights[20]*ASD(Sim_Moments.pop_coef_80, True_Moments.Ref_pop_gr_80)
end




    